/*
 *  Copyright (C) 2007 Viktor Nordell <viktor.nordell@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Viktor Nordell <viktor.nordell@gmail.com>
 */
#ifndef _GUI_BOTTOM_AREA_H_
#define _GUI_BOTTOM_AREA_H_

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define GUI_TYPE_BOTTOM_AREA			(gui_bottom_area_get_type ())
#define GUI_BOTTOM_AREA(obj)			(G_TYPE_CHECK_INSTANCE_CAST ((obj), GUI_TYPE_BOTTOM_AREA, GuiBottomArea))
#define GUI_BOTTOM_AREA_CLASS(obj)		(G_TYPE_CHECK_CLASS_CAST ((obj), GUI_BOTTOM_AREA, GuiBottomAreaClass))
#define GUI_IS_BOTTOM_AREA(obj)			(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GUI_TYPE_BOTTOM_AREA))
#define GUI_IS_BOTTOM_AREA_CLASS(obj)	(G_TYPE_CHECK_CLASS_TYPE ((obj), GUI_TYPE_BOTTOM_AREA))
#define GUI_BOTTOM_AREA_GET_CLASS		(G_TYPE_INSTANCE_GET_CLASS ((obj), GUI_TYPE_BOTTOM_AREA, GuiBottomAreaClass))

typedef struct _GuiBottomArea				GuiBottomArea;
typedef struct _GuiBottomAreaClass			GuiBottomAreaClass;

struct _GuiBottomArea
{
	GtkDrawingArea parent;
};

struct _GuiBottomAreaClass
{
	GtkDrawingAreaClass parent_class;
};

enum{
	GUI_BOTTOM_AREA_HAMACHI_STOP,
	GUI_BOTTOM_AREA_HAMACHI_START
};

GtkWidget *gui_bottom_area_new (void);

GType gui_bottom_area_get_type (void)G_GNUC_CONST;
void gui_bottom_area_set_hamachi_status(GuiBottomArea *bottom_area, gboolean status);

G_END_DECLS

#endif
