/*
 *  Copyright (C) 2007 Viktor Nordell <viktor.nordell@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Viktor Nordell <viktor.nordell@gmail.com>
 */
#ifndef _GUI_FRAME_H_
#define _GUI_FRAME_H_

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define GUI_TYPE_FRAME			(gui_frame_get_type ())
#define GUI_FRAME(obj)			(G_TYPE_CHECK_INSTANCE_CAST ((obj), GUI_TYPE_FRAME, GuiFrame))
#define GUI_FRAME_CLASS(obj)	(G_TYPE_CHECK_CLASS_CAST ((obj), GUI_FRAME, GuiFrameClass))
#define GUI_IS_FRAME(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GUI_TYPE_FRAME))
#define GUI_IS_FRAME_CLASS(obj)	(G_TYPE_CHECK_CLASS_TYPE ((obj), GUI_TYPE_FRAME))
#define GUI_FRAME_GET_CLASS		(G_TYPE_INSTANCE_GET_CLASS ((obj), GUI_TYPE_FRAME, GuiFrameClass))

typedef struct _GuiFrame		GuiFrame;
typedef struct _GuiFrameClass	GuiFrameClass;

struct _GuiFrame
{
	GtkBin bin;
};

struct _GuiFrameClass
{
	GtkBinClass parent_class;
};

GtkWidget *gui_frame_new (void);
GType gui_frame_get_type (void)G_GNUC_CONST;

G_END_DECLS

#endif
