/*
 *  Copyright (C) 2007 Viktor Nordell <viktor.nordell@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Viktor Nordell <viktor.nordell@gmail.com>
 */
#ifndef _GUI_TOP_AREA_H_
#define _GUI_TOP_AREA_H_

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define GUI_TYPE_TOP_AREA			(gui_top_area_get_type ())
#define GUI_TOP_AREA(obj)			(G_TYPE_CHECK_INSTANCE_CAST ((obj), GUI_TYPE_TOP_AREA, GuiTopArea))
#define GUI_TOP_AREA_CLASS(obj)		(G_TYPE_CHECK_CLASS_CAST ((obj), GUI_TOP_AREA, GuiTopAreaClass))
#define GUI_IS_TOP_AREA(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GUI_TYPE_TOP_AREA))
#define GUI_IS_TOP_AREA_CLASS(obj)	(G_TYPE_CHECK_CLASS_TYPE ((obj), GUI_TYPE_TOP_AREA))
#define GUI_TOP_AREA_GET_CLASS		(G_TYPE_INSTANCE_GET_CLASS ((obj), GUI_TYPE_TOP_AREA, GuiTopAreaClass))

typedef struct _GuiTopArea		GuiTopArea;
typedef struct _GuiTopAreaClass	GuiTopAreaClass;

struct _GuiTopArea
{
	GtkDrawingArea parent;	
};

struct _GuiTopAreaClass
{
	GtkDrawingAreaClass parent_class;
};

GtkWidget *gui_top_area_new (void);

GType gui_top_area_get_type (void) G_GNUC_CONST;

void gui_top_area_set_nick(GuiTopArea *top_area, gchar *nick);
void gui_top_area_set_addr(GuiTopArea *top_area, gchar *addr);

G_END_DECLS

#endif
